petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectListAdd

Adds a new object to an PetscObjectList

### Synopsis

    PetscErrorCode  PetscObjectListAdd(PetscObjectList *fl,const char name[],PetscObject obj)

### Input Parameters

| fl | - the object list
| name | - the name to use for the object
| obj | - the object to attach

Notes: Replaces item if it is already in list. Removes item if you pass in a NULL object.

Use PetscObjectListFind() or PetscObjectListReverseFind() to get the object back

### See Also

PetscObjectListDestroy(), PetscObjectListFind(), PetscObjectListDuplicate(), PetscObjectListReverseFind(), PetscObjectListDuplicate()

Level:developer
Location:src/sys/objects/olist.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages